## org.h2.command.ddl
Class Analyze

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.Analyze

    public class Analyze

extends DefineCommand

This class represents the statement ANALYZE

Field Summary

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`Analyze(Session session)`

Method Summary
`static void` `analyzeTable(Session session, Table table, int sample, boolean manual)` Analyze this table.
`void` `setTop(int top)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, isTransactional, queryMeta`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Analyze

    public Analyze(Session session)

Method Detail

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### analyzeTable

    public static void analyzeTable(Session session,
                                    Table table,
                                    int sample,
                                    boolean manual)

  Analyze this table.

  Parameters:
    `session` - the session
    `table` - the table
    `sample` - the number of sample rows
    `manual` - whether the command was called by the user

### setTop

    public void setTop(int top)